# Get entity defaultDimensions
Gets the default dimensions of an entity in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
The following example gets the default dimensions of an entity.
```
GET businesscentralPrefix/companies({id})/defaultDimensions({id})
GET businesscentralPrefix/companies({id})/items({id})/defaultDimensions({id})
GET businesscentralPrefix/companies({id})/customers({id})/defaultDimensions({id})
GET businesscentralPrefix/companies({id})/vendors({id})/defaultDimensions({id})
GET businesscentralPrefix/companies({id})/employees({id})/defaultDimensions({id})
```
## Request header
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a `200 OK` response code and the default dimensions in the response body.
## Example
Request
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({companyId})/items({itemId})/defaultDimensions
```
Response
Here's an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
{
    "id": "5b049aad-bde4-ea11-bbf2-00155df3a615",
    "parentId": "53049aad-bde4-ea11-bbf2-00155df3a615",
    "dimensionId": "47c99ea7-bde4-ea11-bbf2-00155df3a615",
    "dimensionCode": "DEPARTMENT",
    "dimensionValueId": "49c99ea7-bde4-ea11-bbf2-00155df3a615",
    "dimensionValueCode": "SALES",
    "postingValidation": " "
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_defaultdimension
dynamics_defaultdimension_delete
dynamics_defaultdimension_create
dynamics_defaultdimension_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_defaultdimension_get/
